import { TypeTransformerFunction } from "@ipld/schema/typed.js";
import type { Signature, Message } from "@canvas-js/interfaces";
export declare function decodeSignedMessage<Payload = unknown>(value: Uint8Array, { toTyped }: {
    toTyped: TypeTransformerFunction;
    toRepresentation: TypeTransformerFunction;
}): [id: string, signature: Signature, message: Message<Payload>];
export declare function encodeSignedMessage(signature: Signature, message: Message, { toRepresentation }: {
    toTyped: TypeTransformerFunction;
    toRepresentation: TypeTransformerFunction;
}): [key: Uint8Array, value: Uint8Array];
export declare function getNextClock(parents: Uint8Array[]): number;
export declare const KEY_LENGTH = 20;
export declare const MIN_MESSAGE_ID = "00000000000000000000000000000000";
export declare const MAX_MESSAGE_ID = "vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv";
export declare const encodeId: (id: string) => Uint8Array;
export declare const decodeId: (key: Uint8Array) => string;
